## mpi-defaults 0.6ubuntu1

=== debian/changelog ===
mpi-defaults (0.6ubuntu1) oneiric; urgency=low

  * Default to OpenMPI on armel.

 -- Jani Monoses <jani@ubuntu.com>  Wed, 25 May 2011 18:08:05 +0300
