=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Manuel Prinz <manuel@debian.org>
 Standards-Version: 3.8.2
 Build-Depends: debhelper (>= 5.0),
- libopenmpi-dev (>= 1.2.4-5) [i386 amd64 lpia ia64 powerpc kfreebsd-i386 kfreebsd-amd64],
- openmpi-bin [i386 amd64 lpia ia64 powerpc kfreebsd-i386 kfreebsd-amd64],
- lam4-dev [!i386 !amd64 !lpia !ia64 !powerpc !kfreebsd-i386 !kfreebsd-amd64],
- lam-runtime [!i386 !amd64 !lpia !ia64 !powerpc !kfreebsd-i386 !kfreebsd-amd64]
+ libopenmpi-dev (>= 1.2.4-5) [i386 amd64 lpia ia64 powerpc kfreebsd-i386 kfreebsd-amd64 armel],
+ openmpi-bin [i386 amd64 lpia ia64 powerpc kfreebsd-i386 kfreebsd-amd64 armel],
+ lam4-dev [!i386 !amd64 !lpia !ia64 !powerpc !kfreebsd-i386 !kfreebsd-amd64 !armel],
+ lam-runtime [!i386 !amd64 !lpia !ia64 !powerpc !kfreebsd-i386 !kfreebsd-amd64 !armel]
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/mpi-defaults.git;a=summary
 Vcs-Git: git://git.debian.org/git/debian-science/packages/mpi-defaults.git
