## mpi-defaults 1.0.2

=== debian/changelog ===
mpi-defaults (1.0.2) unstable; urgency=low

  * Team upload
  * Fix the logic of debian/rules: it was broken by the renaming of mpich2
    to mpich in the alternatives system
  * Update all dependencies to the new libmpich-dev and mpich packages (instead
    of the transitional packages libmpich2-dev and mpich2)
  * Replace MPICH2 by MPICH in package descriptions
  * Use canonical URLs in Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 26 Oct 2013 13:35:29 +0000
