## mpi-defaults 1.0.2build1

=== debian/changelog ===
mpi-defaults (1.0.2build1) trusty; urgency=medium

  * Rebuild for ppc64el.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 21 Dec 2013 13:49:24 +0000
