## mpi-defaults 1.0.2ubuntu1

=== debian/changelog ===
mpi-defaults (1.0.2ubuntu1) trusty; urgency=medium

  * Build against openmpi for arm64 and ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 21 Dec 2013 21:53:17 -0500
