=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: mpi-defaults
 Section: devel
 Priority: extra
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Manuel Prinz <manuel@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: debhelper,
- libopenmpi-dev (>= 1.4.3-2.1) [alpha armel armhf i386 amd64 lpia ia64 powerpc sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386],
- openmpi-bin (>= 1.4.3-2.1) [alpha armel armhf i386 amd64 lpia ia64 powerpc sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386],
- libmpich-dev [!alpha !armel !armhf !i386 !amd64 !lpia !ia64 !powerpc !sparc !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- mpich [!alpha !armel !armhf !i386 !amd64 !lpia !ia64 !powerpc !sparc !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
+ libopenmpi-dev (>= 1.4.3-2.1) [alpha armel armhf arm64 i386 amd64 lpia ia64 powerpc ppc64el sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386],
+ openmpi-bin (>= 1.4.3-2.1) [alpha armel armhf arm64 i386 amd64 lpia ia64 powerpc ppc64el sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386],
+ libmpich-dev [!alpha !armel !armhf !arm64 !i386 !amd64 !lpia !ia64 !powerpc !ppc64el !sparc !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+ mpich [!alpha !armel !armhf !arm64 !i386 !amd64 !lpia !ia64 !powerpc !ppc64el !sparc !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
 Vcs-Browser: http://anonscm.debian.org/git/?p=debian-science/packages/mpi-defaults.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/mpi-defaults.git
