=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,9 @@
 	if [ "$(MPI)" = "openmpi" ]; then \
 	  echo "mpi=openmpi-bin" > debian/mpi-default-bin.substvars; \
 	  echo "mpi-dev=libopenmpi-dev" > debian/mpi-default-dev.substvars; \
-	elif [ "$(MPI)" = "mpich2" ]; then \
-	  echo "mpi=mpich2" > debian/mpi-default-bin.substvars; \
-	  echo "mpi-dev=libmpich2-dev" > debian/mpi-default-dev.substvars; \
+	elif [ "$(MPI)" = "mpich" ]; then \
+	  echo "mpi=mpich" > debian/mpi-default-bin.substvars; \
+	  echo "mpi-dev=libmpich-dev" > debian/mpi-default-dev.substvars; \
 	else \
 	  echo "Unknown MPI implementation, stopping"; \
 	  exit 1; \
