## mpi-defaults 1.0.2+nmu2

=== debian/changelog ===
mpi-defaults (1.0.2+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to openmpi on arm64, powerpcspe, ppc64 and ppc64el.
    Closes: #748510, #731646.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Aug 2014 10:26:43 +0200

mpi-defaults (1.0.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to openmpi on mips/mipsel 
    Same patch by Aurelien Jarno and Jurica Stanojkovic
    Closes: #733275, #738571

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 20 Feb 2014 08:59:23 +0000
