## mpi-defaults 1.1

=== debian/changelog ===
mpi-defaults (1.1) unstable; urgency=medium

  * Team upload.
  * Use https in the Vcs-* fields.
  * Bump debhelper compat level to 9.
  * Fix path of debian_defaults file in README.Debian.
  * Use the cleaner dh sequencer in d/rules.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Covert d/copyright to copyright-format 1.0.
  * Drop support for s390, it's not a thing anymore since wheezy.
  * Switch to openmpi on s390x.  Closes: #813691

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Feb 2016 10:41:49 +0000
