=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Manuel Prinz <manuel@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper,
- libopenmpi-dev (>= 1.4.3-2.1) [!hppa !m68k !s390 !s390x !sh4 !x32],
- openmpi-bin (>= 1.4.3-2.1) [!hppa !m68k !s390 !s390x !sh4 !x32],
- libmpich-dev [hppa m68k s390 s390x sh4 x32],
- mpich [hppa m68k s390 s390x sh4 x32]
-Vcs-Browser: http://anonscm.debian.org/git/?p=debian-science/packages/mpi-defaults.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/mpi-defaults.git
+Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 9),
+ libopenmpi-dev (>= 1.4.3-2.1) [!hppa !m68k !sh4 !x32],
+ openmpi-bin (>= 1.4.3-2.1) [!hppa !m68k !sh4 !x32],
+ libmpich-dev [hppa m68k sh4 x32],
+ mpich [hppa m68k sh4 x32]
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/mpi-defaults.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mpi-defaults.git
 
 Package: mpi-default-dev
 Architecture: any
