=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

MPI=$(shell readlink /etc/alternatives/mpi | sed s/usr//g | sed s/include//g | sed s/lib//g | sed s/\\///g)

%:
	dh $@

override_dh_auto_build:
	echo "# Default MPI implementation on this arch" >debian/debian_defaults
	echo "ARCH_DEFAULT_MPI_IMPL=$(MPI)" >>debian/debian_defaults

override_dh_gencontrol:
	rm -f debian/*.substvars
	if [ "$(MPI)" = "openmpi" ]; then \
	  echo "mpi=openmpi-bin" > debian/mpi-default-bin.substvars; \
	  echo "mpi-dev=libopenmpi-dev" > debian/mpi-default-dev.substvars; \
	elif [ "$(MPI)" = "mpich" ]; then \
	  echo "mpi=mpich" > debian/mpi-default-bin.substvars; \
	  echo "mpi-dev=libmpich-dev" > debian/mpi-default-dev.substvars; \
	else \
	  echo "Unknown MPI implementation, stopping"; \
	  exit 1; \
	fi
	dh_gencontrol

override_dh_install:
	dh_install -pmpi-default-dev debian/debian_defaults usr/share/mpi-default-dev/
