## mpi-defaults 1.2

=== debian/changelog ===
mpi-defaults (1.2) unstable; urgency=medium

  * Team upload.
  * Add a README with a small note to remember there are packages needed
    sourceful updates when changing the defaults.
  * Use openmpi on x32 too.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Feb 2016 20:18:28 +0000
