=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Manuel Prinz <manuel@debian.org>
 Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9),
- libopenmpi-dev (>= 1.4.3-2.1) [!hppa !m68k !sh4 !x32],
- openmpi-bin (>= 1.4.3-2.1) [!hppa !m68k !sh4 !x32],
- libmpich-dev [hppa m68k sh4 x32],
- mpich [hppa m68k sh4 x32]
+ libopenmpi-dev (>= 1.4.3-2.1) [!hppa !m68k !sh4],
+ openmpi-bin (>= 1.4.3-2.1) [!hppa !m68k !sh4],
+ libmpich-dev [hppa m68k sh4],
+ mpich [hppa m68k sh4]
 Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/mpi-defaults.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mpi-defaults.git
