## mpi-defaults 1.4

=== debian/changelog ===
mpi-defaults (1.4) unstable; urgency=medium

  * Team upload.
  * Reinstate accidentally removed mips64el support (defaul: OpenMPI).

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 29 Feb 2016 12:12:41 +0000

mpi-defaults (1.3) unstable; urgency=medium

  * Team upload.
  * Add myself to debian/copyright.
  * Add a static list of
    + OPENMPI_ARCHITECTURES: architectures which defaults to OpenMPI
    + MPICH_ARCHITECTURES: architectures which defaults to MPICH
    + OPENMPI_AVAILABLE_ARCHITECTURES: architectures where OpenMPI is available
    + MPICH_AVAILABLE_ARCHITECTURES: architectures where MPICH is available
    and export them in debian_defaults.
    This way we can avoid having dozens of packages hardcoding their own list
    needing update every new architecture is present or changed, and having them
    just re-uploaded.  Closes: #814943
  * Generate debian/control out of those list of known architectures.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 29 Feb 2016 10:49:47 +0000
