=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,101 @@
 
 export DH_VERBOSE=1
 
+d := debian/debian_defaults
+
+# default in this architecture:
 MPI=$(shell readlink /etc/alternatives/mpi | sed s/usr//g | sed s/include//g | sed s/lib//g | sed s/\\///g)
+
+# availability of MPI implementations:
+
+OPENMPI_AVAILABLE_ARCHITECTURES := \
+	alpha \
+	amd64 \
+	arm64 \
+	armel \
+	armhf \
+	hppa \
+	hurd-i386 \
+	i386 \
+	kfreebsd-amd64 \
+	kfreebsd-i386 \
+	mips \
+	mips64el \
+	mipsel \
+	powerpc \
+	ppc64 \
+	ppc64el \
+	s390x \
+	sh4 \
+	sparc64 \
+	x32 \
+
+MPICH_AVAILABLE_ARCHITECTURES := \
+	alpha \
+	amd64 \
+	arm64 \
+	armel \
+	armhf \
+	hppa \
+	hurd-i386 \
+	i386 \
+	kfreebsd-amd64 \
+	kfreebsd-i386 \
+	m68k \
+	mips \
+	mips64el \
+	mipsel \
+	powerpc \
+	ppc64 \
+	ppc64el \
+	s390x \
+	sh4 \
+	sparc64 \
+	x32 \
+
+
+# defaults
+
+OPENMPI_ARCHITECTURES := \
+	alpha \
+	amd64 \
+	arm64 \
+	armel \
+	armhf \
+	hurd-i386 \
+	i386 \
+	kfreebsd-amd64 \
+	kfreebsd-i386 \
+	mips \
+	mips64el \
+	mipsel \
+	powerpc \
+	ppc64 \
+	ppc64el \
+	s390x \
+	sparc64 \
+	x32 \
+
+MPICH_ARCHITECTURES := \
+	hppa \
+	m68k \
+	sh4 \
+
 
 %:
 	dh $@
 
 override_dh_auto_build:
-	echo "# Default MPI implementation on this arch" >debian/debian_defaults
-	echo "ARCH_DEFAULT_MPI_IMPL=$(MPI)" >>debian/debian_defaults
+	echo "# Default MPI implementation on this architecture:" > $d
+	echo "ARCH_DEFAULT_MPI_IMPL=$(MPI)" >> $d
+	echo "# Architectures where OpenMPI is available:" >> $d
+	echo "OPENMPI_AVAILABLE_ARCHITECTURES=$(OPENMPI_AVAILABLE_ARCHITECTURES)" >> $d
+	echo "# Architectures where MPICH is available:" >> $d
+	echo "MPICH_AVAILABLE_ARCHITECTURES=$(MPICH_AVAILABLE_ARCHITECTURES)" >> $d
+	echo "# Architectures defaulting to OpenMPI:" >> $d
+	echo OPENMPI_ARCHITECTURES=$(OPENMPI_ARCHITECTURES) >> $d
+	echo "# Architectures defaulting to MPICH:" >> $d
+	echo MPICH_ARCHITECTURES=$(MPICH_ARCHITECTURES) >> $d
 
 override_dh_gencontrol:
 	rm -f debian/*.substvars
@@ -26,4 +113,25 @@
 	dh_gencontrol
 
 override_dh_install:
-	dh_install -pmpi-default-dev debian/debian_defaults usr/share/mpi-default-dev/
+	dh_install -pmpi-default-dev $d usr/share/mpi-default-dev/
+
+override_dh_clean:
+	dh_clean
+	@echo "Generating the control file..."
+	echo "# DON'T MANUALLY MODIFY!" > debian/control.tmp
+	echo "# EDIT debian/control.in INSTEAD!" >> debian/control.tmp
+	echo "#" >> debian/control.tmp
+	cat debian/control.in >> debian/control.tmp
+	sed -i "s,%SUPPORTED_ARCHITECTURES%,$(strip $(OPENMPI_ARCHITECTURES) $(MPICH_ARCHITECTURES)),g" debian/control.tmp
+	sed -i "s,%OPENMPI_ARCHITECTURES%,$(strip $(OPENMPI_ARCHITECTURES)),g" debian/control.tmp
+	sed -i "s,%MPICH_ARCHITECTURES%,$(strip $(MPICH_ARCHITECTURES)),g" debian/control.tmp
+	set -e ; if ! diff -q debian/control debian/control.tmp > /dev/null; then \
+		echo ;\
+		echo "The generated control file differs from the actual one." ;\
+		echo "A sourceful upload of this package is needed." ;\
+		echo ;\
+		echo "Differences:" ;\
+		diff -u debian/control debian/control.tmp ;\
+	else \
+		rm debian/control.tmp ;\
+	fi
