## mpi-defaults 1.6

=== debian/changelog ===
mpi-defaults (1.6) unstable; urgency=medium

  * Team upload.
  * Add powerpcspe again, using openmpi.  Closes: #821179

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 16 Apr 2016 14:34:59 +0000

mpi-defaults (1.5) unstable; urgency=medium

  * Team upload.
  * Make sure there are no trailing whitespaces in the produced debian_defaults.
  * debian/control: Bump Standards-Version to 3.9.8, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 11 Apr 2016 11:09:02 +0000
