=== debian/control ===
# DON'T MANUALLY MODIFY!
# EDIT debian/control.in INSTEAD!
#
Source: mpi-defaults
Section: devel
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Manuel Prinz <manuel@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
 libopenmpi-dev (>= 1.4.3-2.1) [alpha amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc64 x32],
 openmpi-bin (>= 1.4.3-2.1) [alpha amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc64 x32],
 libmpich-dev [hppa m68k sh4],
 mpich [hppa m68k sh4]
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/mpi-defaults.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mpi-defaults.git

Package: mpi-default-dev
Architecture: alpha amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc64 x32 hppa m68k sh4
Section: libdevel
Depends: ${mpi-dev}, ${misc:Depends}
Description: Standard MPI development files (metapackage)
 This metapackage depends on the development files of the recommended MPI
 implementation for each platform, currently Open MPI on all of the platforms
 where it exists, and MPICH on the others. The package which this depends on
 has alternatives links for the shared libraries libmpi and libmpi++, and for
 compilers mpicc, mpic++/mpicxx/mpiCC, mpif77 and mpi90 and their manpages.

Package: mpi-default-bin
Architecture: alpha amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc64 x32 hppa m68k sh4
Section: net
Depends: ${mpi}, ${misc:Depends}
Description: Standard MPI runtime programs (metapackage)
 This metapackage depends on the runtime programs of the recommended MPI
 implementation for each platform, currently Open MPI on all of the platforms
 where it exists, and MPICH on the others. The package which this depends on
 has alternatives links for mpirun and mpiexec.
