=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	mips64el \
 	mipsel \
 	powerpc \
+	powerpcspe \
 	ppc64 \
 	ppc64el \
 	s390x \
@@ -71,6 +72,7 @@
 	mips64el \
 	mipsel \
 	powerpc \
+	powerpcspe \
 	ppc64 \
 	ppc64el \
 	s390x \
@@ -90,13 +92,13 @@
 	echo "# Default MPI implementation on this architecture:" > $d
 	echo "ARCH_DEFAULT_MPI_IMPL=$(MPI)" >> $d
 	echo "# Architectures where OpenMPI is available:" >> $d
-	echo "OPENMPI_AVAILABLE_ARCHITECTURES=$(OPENMPI_AVAILABLE_ARCHITECTURES)" >> $d
+	echo "OPENMPI_AVAILABLE_ARCHITECTURES=$(strip $(OPENMPI_AVAILABLE_ARCHITECTURES))" >> $d
 	echo "# Architectures where MPICH is available:" >> $d
-	echo "MPICH_AVAILABLE_ARCHITECTURES=$(MPICH_AVAILABLE_ARCHITECTURES)" >> $d
+	echo "MPICH_AVAILABLE_ARCHITECTURES=$(strip $(MPICH_AVAILABLE_ARCHITECTURES))" >> $d
 	echo "# Architectures defaulting to OpenMPI:" >> $d
-	echo OPENMPI_ARCHITECTURES=$(OPENMPI_ARCHITECTURES) >> $d
+	echo "OPENMPI_ARCHITECTURES=$(strip $(OPENMPI_ARCHITECTURES))" >> $d
 	echo "# Architectures defaulting to MPICH:" >> $d
-	echo MPICH_ARCHITECTURES=$(MPICH_ARCHITECTURES) >> $d
+	echo "MPICH_ARCHITECTURES=$(strip $(MPICH_ARCHITECTURES))" >> $d
 
 override_dh_gencontrol:
 	rm -f debian/*.substvars
