## mpi-defaults 1.7

=== debian/changelog ===
mpi-defaults (1.7) unstable; urgency=medium

  * Team upload.
  * Change hppa from MPICH to OpenMPI.  Closes: #833425
  * Make sure architecture lists are sorted.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 04 Aug 2016 11:38:16 +0000
