=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	arm64 \
 	armel \
 	armhf \
+	hppa \
 	hurd-i386 \
 	i386 \
 	kfreebsd-amd64 \
@@ -80,7 +81,6 @@
 	x32 \
 
 MPICH_ARCHITECTURES := \
-	hppa \
 	m68k \
 	sh4 \
 
@@ -92,13 +92,13 @@
 	echo "# Default MPI implementation on this architecture:" > $d
 	echo "ARCH_DEFAULT_MPI_IMPL=$(MPI)" >> $d
 	echo "# Architectures where OpenMPI is available:" >> $d
-	echo "OPENMPI_AVAILABLE_ARCHITECTURES=$(strip $(OPENMPI_AVAILABLE_ARCHITECTURES))" >> $d
+	echo "OPENMPI_AVAILABLE_ARCHITECTURES=$(strip $(sort $(OPENMPI_AVAILABLE_ARCHITECTURES)))" >> $d
 	echo "# Architectures where MPICH is available:" >> $d
-	echo "MPICH_AVAILABLE_ARCHITECTURES=$(strip $(MPICH_AVAILABLE_ARCHITECTURES))" >> $d
+	echo "MPICH_AVAILABLE_ARCHITECTURES=$(strip $(sort $(MPICH_AVAILABLE_ARCHITECTURES)))" >> $d
 	echo "# Architectures defaulting to OpenMPI:" >> $d
-	echo "OPENMPI_ARCHITECTURES=$(strip $(OPENMPI_ARCHITECTURES))" >> $d
+	echo "OPENMPI_ARCHITECTURES=$(strip $(sort $(OPENMPI_ARCHITECTURES)))" >> $d
 	echo "# Architectures defaulting to MPICH:" >> $d
-	echo "MPICH_ARCHITECTURES=$(strip $(MPICH_ARCHITECTURES))" >> $d
+	echo "MPICH_ARCHITECTURES=$(strip $(sort $(MPICH_ARCHITECTURES)))" >> $d
 
 override_dh_gencontrol:
 	rm -f debian/*.substvars
@@ -124,9 +124,9 @@
 	echo "# EDIT debian/control.in INSTEAD!" >> debian/control.tmp
 	echo "#" >> debian/control.tmp
 	cat debian/control.in >> debian/control.tmp
-	sed -i "s,%SUPPORTED_ARCHITECTURES%,$(strip $(OPENMPI_ARCHITECTURES) $(MPICH_ARCHITECTURES)),g" debian/control.tmp
-	sed -i "s,%OPENMPI_ARCHITECTURES%,$(strip $(OPENMPI_ARCHITECTURES)),g" debian/control.tmp
-	sed -i "s,%MPICH_ARCHITECTURES%,$(strip $(MPICH_ARCHITECTURES)),g" debian/control.tmp
+	sed -i "s,%SUPPORTED_ARCHITECTURES%,$(strip $(sort $(OPENMPI_ARCHITECTURES) $(MPICH_ARCHITECTURES))),g" debian/control.tmp
+	sed -i "s,%OPENMPI_ARCHITECTURES%,$(strip $(sort $(OPENMPI_ARCHITECTURES))),g" debian/control.tmp
+	sed -i "s,%MPICH_ARCHITECTURES%,$(strip $(sort $(MPICH_ARCHITECTURES))),g" debian/control.tmp
 	set -e ; if ! diff -q debian/control debian/control.tmp > /dev/null; then \
 		echo ;\
 		echo "The generated control file differs from the actual one." ;\
