## mpi-defaults 1.8

=== debian/changelog ===
mpi-defaults (1.8) unstable; urgency=medium

  * Team upload
  * Cope with multi-arch openmpi.  Closes: #848797
  * Add myself to Uploaders.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Dec 2016 09:08:47 +0000
