=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 d := debian/debian_defaults
 
 # default in this architecture:
-MPI=$(shell readlink /etc/alternatives/mpi | sed s/usr//g | sed s/include//g | sed s/lib//g | sed s/\\///g)
+MPI=$(shell readlink /etc/alternatives/mpicc | sed s/usr//g | sed s/bin//g | sed s/mpicc.//g | sed s/\\///g)
 
 # availability of MPI implementations:
