## mpi-defaults 1.10

=== debian/changelog ===
mpi-defaults (1.10) unstable; urgency=medium

  [ James Clarke ]
  * Team upload.

  [ Alastair McKinstry ]
  * Change control.in to match control

  [ James Clarke ]
  * Add ia64 using openmpi
  * Bump debhelper compat level to 11
  * Use https for copyright format URI
  * Bump standards version to 4.1.3, no changes needed
  * Change deprecated extra priority to optional
  * Update Vcs-* to point to salsa

 -- James Clarke <jrtc27@debian.org>  Mon, 05 Feb 2018 12:29:49 +0000

mpi-defaults (1.9) unstable; urgency=medium

  * Team upload
  * Standards-Version: 4.1.0
  * Add m68k to OPENMPI_AVAILABLE_ARCHITECTURES
  * Add powerpcspe to MPICH_AVAILABLE_ARCHITECTURES. Closes: #872911
  * Set DH_COMPAT=10 and change debhelper dep

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Aug 2017 10:54:20 +0100
