=== debian/rules ===
--- 
+++ 
@@ -18,11 +18,13 @@
 	hppa \
 	hurd-i386 \
 	i386 \
+	ia64 \
 	kfreebsd-amd64 \
 	kfreebsd-i386 \
 	mips \
 	mips64el \
 	mipsel \
+	m68k \
 	powerpc \
 	powerpcspe \
 	ppc64 \
@@ -41,6 +43,7 @@
 	hppa \
 	hurd-i386 \
 	i386 \
+	ia64 \
 	kfreebsd-amd64 \
 	kfreebsd-i386 \
 	m68k \
@@ -48,6 +51,7 @@
 	mips64el \
 	mipsel \
 	powerpc \
+	powerpcspe \
 	ppc64 \
 	ppc64el \
 	s390x \
@@ -67,6 +71,7 @@
 	hppa \
 	hurd-i386 \
 	i386 \
+	ia64 \
 	kfreebsd-amd64 \
 	kfreebsd-i386 \
 	mips \
