## mpi-defaults 1.13

=== debian/changelog ===
mpi-defaults (1.13) unstable; urgency=medium

  * Team upload.

  [ Manuel A. Fernandez Montecelo ]
  * Add support for riscv64, default to openmpi.  Closes: #895748

  [ Mattia Rizzolo ]
  * Fix FTBFS also on m68k and sh4.  Closes: #896110
  * Set Rules-Requires-Root: no.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 01 May 2018 18:19:56 +0200

mpi-defaults (1.12) unstable; urgency=medium

  * Team upload.
  * Fix check for mpi alternatives

 -- Andreas Tille <tille@debian.org>  Thu, 19 Apr 2018 15:43:42 +0200

mpi-defaults (1.11) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Remove "Adam C. Powell, IV" <hazelsct@debian.org> from uploaders since
    he is not active in Debian Science team since 5 years.
    Closes: #547460
  * Standards-Version: 4.1.4

  [ Mattia Rizzolo ]
  * Add a README.source with details on how to change the default mpi
    implementation of an architecture.

 -- Andreas Tille <tille@debian.org>  Thu, 19 Apr 2018 13:31:37 +0200
