=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 d := debian/debian_defaults
 
 # default in this architecture:
-MPI=$(shell readlink /etc/alternatives/mpicc | sed s/usr//g | sed s/bin//g | sed s/mpicc.//g | sed s/\\///g)
+MPI=$(shell readlink /etc/alternatives/mpi | sed s%/usr/bin/%%g | sed s/mpicc\.//g )
 
 # availability of MPI implementations:
 
@@ -29,6 +29,7 @@
 	powerpcspe \
 	ppc64 \
 	ppc64el \
+	riscv64 \
 	s390x \
 	sh4 \
 	sparc64 \
@@ -54,6 +55,7 @@
 	powerpcspe \
 	ppc64 \
 	ppc64el \
+	riscv64 \
 	s390x \
 	sh4 \
 	sparc64 \
@@ -81,6 +83,7 @@
 	powerpcspe \
 	ppc64 \
 	ppc64el \
+	riscv64 \
 	s390x \
 	sparc64 \
 	x32 \
