## mpi-defaults 1.13.lnd.1+nmu1

=== debian/changelog ===
mpi-defaults (1.13.lnd.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:09:31 +0800

mpi-defaults (1.13.lnd.1) unstable; urgency=medium

  * Add loongarch64 to debian/control and debian/rules.

 -- Song Ding <songding@loongson.cn>  Mon, 28 Dec 2020 11:14:34 +0800
