=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Uploaders: Manuel Prinz <manuel@debian.org>,
  Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 11~),
- libopenmpi-dev (>= 1.4.3-2.1) [alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc64 x32],
- openmpi-bin (>= 1.4.3-2.1) [alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libopenmpi-dev (>= 1.4.3-2.1) [alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 loongarch64 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc64 x32],
+ openmpi-bin (>= 1.4.3-2.1) [alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 loongarch64 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc64 x32],
  libmpich-dev [m68k sh4],
  mpich [m68k sh4]
 Rules-Requires-Root: no
@@ -18,7 +18,7 @@
 Vcs-Git: https://salsa.debian.org/science-team/mpi-defaults.git
 
 Package: mpi-default-dev
-Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
+Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 loongarch64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
 Section: libdevel
 Depends: ${mpi-dev}, ${misc:Depends}
 Description: Standard MPI development files (metapackage)
@@ -29,7 +29,7 @@
  compilers mpicc, mpic++/mpicxx/mpiCC, mpif77 and mpi90 and their manpages.
 
 Package: mpi-default-bin
-Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
+Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 loongarch64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
 Section: net
 Depends: ${mpi}, ${misc:Depends}
 Description: Standard MPI runtime programs (metapackage)
