=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	ia64 \
 	kfreebsd-amd64 \
 	kfreebsd-i386 \
+	loongarch64 \
 	mips \
 	mips64el \
 	mipsel \
@@ -47,6 +48,7 @@
 	ia64 \
 	kfreebsd-amd64 \
 	kfreebsd-i386 \
+	loongarch64 \
 	m68k \
 	mips \
 	mips64el \
@@ -76,6 +78,7 @@
 	ia64 \
 	kfreebsd-amd64 \
 	kfreebsd-i386 \
+	loongarch64 \
 	mips \
 	mips64el \
 	mipsel \
